Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeCustomerGatewaysResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeCustomerGatewaysResult

    public class DescribeCustomerGatewaysResult

extends Object

Constructor Summary
`DescribeCustomerGatewaysResult()`

Method Summary
`List<CustomerGateway>` | `getCustomerGateways()`
`void` | `setCustomerGateways(Collection<CustomerGateway> customerGateways)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeCustomerGatewaysResult` | `withCustomerGateways(Collection<CustomerGateway> customerGateways)` Returns a reference to this object so that method calls can be chained together.
`DescribeCustomerGatewaysResult` | `withCustomerGateways(CustomerGateway... customerGateways)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeCustomerGatewaysResult

    public DescribeCustomerGatewaysResult()

Method Detail

### getCustomerGateways

    public List<CustomerGateway> getCustomerGateways()

  Returns:

### setCustomerGateways

    public void setCustomerGateways(Collection<CustomerGateway> customerGateways)

  Parameters:
    `customerGateways` -

### withCustomerGateways

    public DescribeCustomerGatewaysResult withCustomerGateways(CustomerGateway... customerGateways)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGateways` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withCustomerGateways

    public DescribeCustomerGatewaysResult withCustomerGateways(Collection<CustomerGateway> customerGateways)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGateways` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.